Bug 248802 - RFE - yum distro upgrade
RFE - yum distro upgrade
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-18 17:22 EDT by Alan Macdonald
Modified: 2014-01-21 17:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-03 12:10:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Macdonald 2007-07-18 17:22:39 EDT
Description of problem:  It would be excellent if yum had an option added to it
to automatically upgrade the distro e.g. I currently run FC6 and I could upgrade
to F7 by looking online for how to change my configuration files manually, but
if I could pass a "distro-upgrade" flag to yum and it automatically downloaded
the configuration for me and upgraded, that would be quite a bit more user friendly.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Will Woods 2007-07-18 17:30:00 EDT
You can already do this by downloading the new fedora-release RPM and then doing
a 'yum upgrade'.

But please note: this is a very bad idea. You will be upgrading a live system
while running the wrong kernel version. There are loads and loads of things that
can go horribly wrong with this. 

The only way to sanely handle upgrades is to boot into the new kernel,
preferably running from RAM or a LiveCD, and *then* perform the upgrade. 
Comment 2 Seth Vidal 2007-08-03 12:10:31 EDT
closing this as worksforme - but we're working on a better way to do what wwoods
suggested in his last comment

Note You need to log in before you can comment on or make changes to this bug.